//$HeadURL: svn+ssh://jwilden@svn.wald.intevation.org/deegree/apps/igeoportal-standard/branches/2.5_testing/coordinatedisplay.js $
/*----------------------------------------------------------------------------
 This file is part of deegree, http://deegree.org/
 Copyright (C) 2001-2009 by:
 - Department of Geography, University of Bonn -
 and
 - lat/lon GmbH -

 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation; either version 2.1 of the License, or (at your option)
 any later version.
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.
 You should have received a copy of the GNU Lesser General Public License
 along with this library; if not, write to the Free Software Foundation, Inc.,
 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

 Contact information:

 lat/lon GmbH
 Aennchenstr. 19, 53177 Bonn
 Germany
 http://lat-lon.de/

 Department of Geography, University of Bonn
 Prof. Dr. Klaus Greve
 Postfach 1147, 53001 Bonn
 Germany
 http://www.geographie.uni-bonn.de/deegree/

 e-mail: info@deegree.org
----------------------------------------------------------------------------*/

function CoordinateDisplay(digits, labelX, labelY) {

    this.digits = digits;
    this.labelX = labelX;
    this.labelY = labelY;
    this.x = 0;
    this.y = 0;
    this.targetDocument = null;
    this.parentNode = null;
    this.paint = paint;
    this.repaint = repaint;
    this.setCoordinatesAtCursor = setCoordinatesAtCursor;

    function paint(targetDocument, parentNode) {
        this.targetDocument = targetDocument;
        this.parentNode = parentNode;

        var elemX = this.targetDocument.getElementById( "IDXLABEL" );
        var n = elemX.firstChild.nodeValue.length;
        elemX.firstChild.deleteData( 0, n );
        elemX.firstChild.insertData( 0, this.labelX ) ;

        var elemY = this.targetDocument.getElementById( "IDYLABEL" );
        var n = elemY.firstChild.nodeValue.length;
        elemY.firstChild.deleteData( 0, n );
        elemY.firstChild.insertData( 0, this.labelY ) ;
    }

    function repaint() {
        var elemX = this.targetDocument.getElementById( "IDXCOORD" );
        var n = elemX.firstChild.nodeValue.length;
        elemX.firstChild.deleteData( 0, n );

        var elemY = this.targetDocument.getElementById( "IDYCOORD" );
        n = elemY.firstChild.nodeValue.length;
        elemY.firstChild.deleteData( 0, n );

        if ( this.digits == null || this.digits == 0) {
            this.digits = -1;
        }

        var s = "" + this.x
        var p = s.indexOf( "." );
        s = s.substring( 0, p+this.digits+1 );
        elemX.firstChild.insertData( 0, s ) ;
        s = "" + this.y
        p = s.indexOf( "." );
        s = s.substring( 0, p+this.digits+1 );
        elemY.firstChild.insertData( 0, s ) ;
    }

    function setCoordinatesAtCursor( x, y ) {
        this.x = x;
        this.y = y;
        this.repaint();
    }

}
